<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-6-auto ml-3">
    <div class="section-title">
      <h2>{{'PROFILE' | translate}}</h2>
    </div>
  </div>
  <div class="col-6-auto mr-3">
    <h4 class="widget-title mb-2">
      <button class="btn btn-success btn-sm m-right-10" (click)="changePassword()">
        <i class="las la-key"></i>
        {{'CHANGE_PASSWORD' | translate}}
      </button>
    </h4>
  </div>
</div>
<form [formGroup]="userForm">
  <div class="row">
    <div class="col-md-6">
      <div class="form-group ">
        <label>{{'FIRST_NAME' | translate}}</label>
        <input formControlName="firstName" class="form-control" type="text">
        <div class="text-danger small" *ngIf="userForm.get('firstName').touched && userForm.get('firstName').errors">
          <div *ngIf="userForm.get('firstName').errors?.required">
            {{'FIRST_NAME_IS_REQUIRED' | translate}}
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group ">
        <label>{{'LAST_NAME' | translate}}</label>
        <input formControlName="lastName" class="form-control" type="text">
        <div class="text-danger small" *ngIf="userForm.get('lastName').touched && userForm.get('lastName').errors">
          <div *ngIf="userForm.get('lastName').errors?.required">
            {{'LAST_NAME_IS_REQUIRED' | translate}}
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group ">
        <label>{{'MOBILE_NUMBER' | translate}}</label>
        <input formControlName="phoneNumber" class="form-control" type="text">
        <div class="text-danger small" *ngIf="userForm.get('phoneNumber').touched && userForm.get('phoneNumber').errors">
          <div *ngIf="userForm.get('phoneNumber').errors?.required">
            {{'MOBILE_IS_REQUIRED' | translate}}
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label>Email</label>
        <input [attr.disabled]="true" formControlName="email" class="form-control" type="email">
      </div>
    </div>
    <div class="m-top-10 col-md-12">
      <button class="btn btn-success btn-sm m-right-10" (click)="updateProfile()" cdkFocusInitial><i class="las la-save"></i> Save</button>
      <button type="button" class="btn btn-danger btn-sm" [routerLink]="['/']"><i class="las la-times-circle"></i> Cancel</button>
    </div>
  </div>
</form>
